"recordtype" MDO List
•
Environment: onsite, online
Some tooltip text!
• 1 minute to read
• 1 minute to read
A complete and generic mapping of record types to resource strings.
This is a simple, hard-coded list corresponding to Task table
Implemented by the
Sample Request
GET /api/v1/MDOList/recordtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample Code
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("recordtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
Console.WriteLine("{0} {1} {2} {3}",
item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
Sample Output
| Id | Name | StyleHint | ExtraInfo |
|---|---|---|---|
| 0 | Unknown | ||
| 1 | Appointment | ||
| 2 | Document | ||
| 3 | |||
| 4 | Fax | ||
| 5 | Phone call | ||
| 6 | Task | ||
| 7 | Mail merge | ||
| 8 | Mail merge | ||
| 9 | Report | ||
| 10 | Sales Intelligence (SAINT) | ||
| 100 | Mailing | ||
| 200 | Chat session | ||
| 300 | Form submission |
Related MDO Lists
- "recordtypeheadings"
- "recordtypeheadingswithallitem"
- "recordtypeheadingswithallitemwithnoselection"
- "recordtypeheadingswithnoselection"
- "recordtypewithallitem"
- "recordtypewithallitemwithnoselection"
- "recordtypewithnoselection"